PROJECT(sum_flex)


FIND_PACKAGE(Boost COMPONENTS filesystem)

include_directories (${Matrices_SOURCE_DIR})
link_directories(${Matrices_BINARY_DIR})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/matrix_crs.mat ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/matrix_crs.mat COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/matrix_ccs.mat ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/matrix_ccs.mat COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/boundary.txt ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/boundary.txt COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/row_features.csv ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/row_features.csv COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/column_features.csv ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/column_features.csv COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/landauer_processed.rlabel ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/landauer_processed.rlabel COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/landauer_processed.clabel ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/landauer_processed.clabel COPYONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/landauer_processed/info.txt ${CMAKE_CURRENT_BINARY_DIR}/landauer_processed/info.txt COPYONLY)

add_executable(sum_flex main.cpp sum_flex.cpp)
add_executable(sum_flex_test unit_tests.cpp sum_flex.cpp)

target_link_libraries (sum_flex ${Boost_LIBRARIES})
target_link_libraries(sum_flex matrices)
target_link_libraries(sum_flex ${LOG4CXX_LIBRARY})

target_link_libraries (sum_flex_test ${Boost_LIBRARIES})
target_link_libraries(sum_flex_test matrices)
